=== debian/changelog ===
ocsigenserver (2.0.3a-1) unstable; urgency=low

  * New upstream release
    - the server and Eliom have been separated upstream; this package
      contains only the server (Eliom will be packaged separately)

 -- Stéphane Glondu <glondu@debian.org>  Wed, 01 Feb 2012 21:00:42 +0100

ocsigen (1.3.4-2) unstable; urgency=low

  * Fix wrong decoding of + in URL paths (cherry-picked from upstream)

 -- Stéphane Glondu <glondu@debian.org>  Tue, 12 Jul 2011 20:38:51 +0200

ocsigen (1.3.4-1) unstable; urgency=low

  * New upstream release
  * Touch .cmi files after installing the .mli files (Closes: #587300)
  * Bump Standards-Version to 3.9.2 (no changes)

 -- Nicolas Dandrimont <nicolas.dandrimont@crans.org>  Sun, 29 May 2011 13:54:41 +0200

ocsigen (1.3.3-3) unstable; urgency=low

  * Do not try to install native objects on non-natdynlink architectures

 -- Stéphane Glondu <glondu@debian.org>  Fri, 22 Apr 2011 23:47:16 +0200

ocsigen (1.3.3-2) unstable; urgency=low

  * Add missing dependencies to ocsigen: libocsigen-xhtml-ocaml-dev and
    liblwt-ssl-ocaml-dev (Closes: #613372)
  * Do not compile native code version if there is no natdynlink
  * Bump debhelper compat level to 8
  * Bump Standards-Version to 3.9.1

 -- Stéphane Glondu <glondu@debian.org>  Tue, 15 Feb 2011 19:01:11 +0100

ocsigen (1.3.3-1) unstable; urgency=low

  * New upstream release
  * Move META file to libocsigen-ocaml

 -- Stéphane Glondu <glondu@debian.org>  Sun, 13 Jun 2010 11:44:07 +0200

ocsigen (1.3.2-1) unstable; urgency=low

  * New upstream release
    - the web server should now be insensitive to the net.ipv6.bindv6only
      sysctl setting (Closes: #578216)
    - add ocsigen.xhtml* compatibility packages (Closes: #579689)
    - remove all patches (committed upstream)
    - bump build-dependency to lwt to 2.1.0
  * Remove Stefano from Uploaders

 -- Stéphane Glondu <glondu@debian.org>  Fri, 30 Apr 2010 08:39:59 +0200

ocsigen (1.3.0-4) unstable; urgency=low

  * Fix FTBFS on hppa:
    - add 0002-Do-not-compile-dbm-test-with-custom.patch
  * Fix "directory" variable in META.ocsigen_ext

 -- Stéphane Glondu <glondu@debian.org>  Wed, 24 Mar 2010 23:02:28 +0100

ocsigen (1.3.0-3) unstable; urgency=low

  * Split out libocsigen-xhtml-ocaml-dev (Closes: #574887)
    - add 0001-Split-out-ocsigen_xhtml-findlib-package.patch
  * Put dynamically loaded plugins into libocsigen-ocaml
  * Fix symbolic links shipped by libocsigen-ocaml-doc

 -- Stéphane Glondu <glondu@debian.org>  Mon, 22 Mar 2010 00:52:03 +0100

ocsigen (1.3.0-2) unstable; urgency=low

  * Upload to unstable
  * This version breaks nurpawiki (<< 1.2.3-4~) because of API changes

 -- Stéphane Glondu <glondu@debian.org>  Mon, 15 Mar 2010 16:13:10 +0100

ocsigen (1.3.0-1) experimental; urgency=low

  * New upstream release
    - add libobrowser-ocaml-dev to Build-Depends
  * Switch source package format to 3.0 (quilt)
  * Bump Standards-Version to 3.8.4 (no changes)
  * Add dependency to remote_fs in initscript
  * Compile the doc only when libocsigen-ocaml-doc is being built

 -- Stéphane Glondu <glondu@debian.org>  Sun, 07 Mar 2010 14:05:31 +0100

ocsigen (1.2.2-1) unstable; urgency=low

  * New upstream release
  * Major overhaul of binary packages: libocsigen-ocaml{,-dev,-doc} is now
    treated as a regular library (Closes: #517303), without dependency to
    the web server itself; ocsigen-dev is kept as a metapackage that
    depends on the web server
  * Switch packaging to dh-ocaml 0.9
  * Handle /var/log/ocsigen in maintainer scripts:
    - create an empty log when installing (Closes: #550324)
    - remove log files on purging (policy 10.8)
  * Upload to unstable (Closes: #551236)

 -- Stéphane Glondu <glondu@debian.org>  Wed, 21 Oct 2009 18:19:59 +0200

ocsigen (1.2.1-1) experimental; urgency=low

  * New upstream release:
    - remove all patches (merged upstream)
  * Update watch file
  * Change dependency to liblwt-ocaml in ocsigen

 -- Stéphane Glondu <glondu@debian.org>  Sat, 26 Sep 2009 13:56:22 +0200

ocsigen (1.2.0-3+lwt.1) experimental; urgency=low

  * Update my e-mail address and remove DMUA
  * Update dependencies to lwt

 -- Stéphane Glondu <glondu@debian.org>  Sun, 30 Aug 2009 20:17:39 +0200

ocsigen (1.2.0-3+lwt.0) experimental; urgency=low

  * Build with experimental lwt:
    - add patches Fix-ocsipersist-dbm-Makefile and Adapt-for-lwt-2
    - add versioned (build-)dependency

 -- Stephane Glondu <steph@glondu.net>  Fri, 21 Aug 2009 10:51:52 +0200

ocsigen (1.2.0-3) unstable; urgency=low

  * Changes in dependencies of the ocsigen binary package:
    - add lib{ssl,pcre,ocamlnet}-ocaml (Closes: #536865)
    - change lib{sqlite3,cryptokit,zip}-ocaml-dev to their non-dev
      counterparts, and add versioned dependencies
  * Update Standards-Version to 3.8.3 (no changes)

 -- Stephane Glondu <steph@glondu.net>  Fri, 21 Aug 2009 10:35:02 +0200

ocsigen (1.2.0-2) unstable; urgency=low

  * Fix build on non-native architectures

 -- Stephane Glondu <steph@glondu.net>  Thu, 02 Jul 2009 10:02:08 +0200

ocsigen (1.2.0-1) unstable; urgency=low

  * New upstream release:
    - new patches:
      + fix typo in configure script
      + fix build with pcre-ocaml 6.0.0
    - add dependency on quilt
    - add README.source file
  * Enable OCamlDuce support
  * Enable native code support
  * Add versioned dependency on libpcre-ocaml-dev
  * Install sample configuration files with examples
  * Update Standards-Version to 3.8.2
  * Add versioned dependencies to ease OCaml 3.11.1 transition

 -- Stephane Glondu <steph@glondu.net>  Wed, 01 Jul 2009 21:49:21 +0200

ocsigen (1.1.0-2) unstable; urgency=low

  [ Samuel Mimram ]
  * Use dh-ocaml predefined variables in rules.

  [ Stephane Glondu ]
  * Add Provides: httpd, httpd-cgi to ocsigen binary package
  * Update Build-Depends for OCaml 3.11.0 transition
  * Force -custom when linking ocsigen
  * Use more recent features of debhelper 7
  * Install sources of examples in ocsigen-doc

