=== debian/control ===
Source: ocsigenserver
Section: ocaml
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders:
 Stéphane Glondu <glondu@debian.org>,
 Samuel Mimram <smimram@debian.org>,
 Nicolas Dandrimont <nicolas.dandrimont@crans.org>
Build-Depends:
 debhelper (>= 8),
 ocaml-nox (>= 3.11.1-3~),
 camlp4-extra,
 ocaml-findlib (>= 1.2.5),
 liblwt-ssl-ocaml-dev (>= 2.1.1),
 libocamlnet-ocaml-dev (>= 2.2.9-7~),
 libpcre-ocaml-dev (>= 6.0.1-2~),
 libssl-ocaml-dev (>= 0.4.3-3~),
 libgdbm-dev,
 libsqlite3-ocaml-dev (>= 1.5.6-3~),
 libzip-ocaml-dev (>= 1.04-6~),
 libcryptokit-ocaml-dev (>= 1.3-14~),
 libtyxml-ocaml-dev,
 dh-ocaml (>= 0.9.5~)
Standards-Version: 3.9.2
Homepage: http://ocsigen.org/ocsigenserver/
Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/ocsigenserver.git
Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/ocsigenserver.git

Package: ocsigenserver
Section: httpd
Architecture: any
Depends: adduser, psmisc, procps,
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Suggests: ocsigenserver-doc
Provides: httpd, httpd-cgi
Description: web server of the Ocsigen project
 The Ocsigen project is aimed at proposing clean and safe tools for
 developing and running client/server Web 2.0 applications.
 .
 Ocsigen Server is a full featured Web server. It implements most
 features of the HTTP protocol, and has a very powerful extension
 mechanism that make very easy to plug your own OCaml modules for
 generating pages. Many extensions are available, like a reverse
 proxy, content compression, access control, authentication, etc.

Package: libocsigenserver-ocaml
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Description: web server of the Ocsigen project (runtime libraries)
 The Ocsigen project is aimed at proposing clean and safe tools for
 developing and running client/server Web 2.0 applications.
 .
 Ocsigen Server is a full featured Web server. It implements most
 features of the HTTP protocol, and has a very powerful extension
 mechanism that make very easy to plug your own OCaml modules for
 generating pages. Many extensions are available, like a reverse
 proxy, content compression, access control, authentication, etc.
 .
 This package contains runtime libraries.

Package: libocsigenserver-ocaml-dev
Architecture: any
Depends:
 ocaml-findlib,
 libgdbm-dev,
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Recommends: ocsigenserver-doc
Description: web server of the Ocsigen project (dev libraries)
 The Ocsigen project is aimed at proposing clean and safe tools for
 developing and running client/server Web 2.0 applications.
 .
 Ocsigen Server is a full featured Web server. It implements most
 features of the HTTP protocol, and has a very powerful extension
 mechanism that make very easy to plug your own OCaml modules for
 generating pages. Many extensions are available, like a reverse
 proxy, content compression, access control, authentication, etc.
 .
 This package contains development libraries.

Package: ocsigenserver-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Enhances: ocsigenserver, libocsigenserver-ocaml-dev
Description: web server of the Ocsigen project (documentation)
 The Ocsigen project is aimed at proposing clean and safe tools for
 developing and running client/server Web 2.0 applications.
 .
 Ocsigen Server is a full featured Web server. It implements most
 features of the HTTP protocol, and has a very powerful extension
 mechanism that make very easy to plug your own OCaml modules for
 generating pages. Many extensions are available, like a reverse
 proxy, content compression, access control, authentication, etc.
 .
 This package contains documentation: the manual (in wikicreole
 format) and the API reference generated by ocamldoc (in HTML format).
