=== debian/changelog ===
ocsigenserver (2.0.4-1) unstable; urgency=low

  * New upstream release
  * Fix FTBFS with bash as /bin/sh

 -- Stéphane Glondu <glondu@debian.org>  Sat, 17 Mar 2012 11:42:51 +0100
