=== debian/changelog ===
ocsigenserver (2.1-1) unstable; urgency=low

  * New upstream release (Closes: #676750)
  * Use format 1.0 in debian/copyright
  * Bump Standards-Version to 3.9.3

 -- Stéphane Glondu <glondu@debian.org>  Sat, 09 Jun 2012 10:54:47 +0200
