=== debian/control ===
--- 
+++ 
@@ -19,9 +19,9 @@
  libsqlite3-ocaml-dev (>= 1.5.6-3~),
  libzip-ocaml-dev (>= 1.04-6~),
  libcryptokit-ocaml-dev (>= 1.3-14~),
- libtyxml-ocaml-dev,
+ libtyxml-ocaml-dev (>= 2.1),
  dh-ocaml (>= 0.9.5~)
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://ocsigen.org/ocsigenserver/
 Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/ocsigenserver.git
 Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/ocsigenserver.git
