## ocsigenserver 2.2.0

=== Makefile ===
--- 
+++ 
@@ -65,38 +65,63 @@
 install.byte: install.META.byte install.files
 install.opt: install.META.opt install.files
 
+# BB If install is not run by root but OCSIGENUSER, OCSIGENGROUP is somebody
+# BB different, make files universally accessible, we cannot chown.
+INSTALL_CAN_PUT_PERMISSIONS=yes
+INSTALL_USER_GROUP=-o $(OCSIGENUSER) -g $(OCSIGENGROUP)
+INSTALL_MOD_660=660
+INSTALL_MOD_644=644
+INSTALL_MOD_755=755
+INSTALL_MOD_770=770
+INSTALL_MOD_750=750
+ifneq ($(shell id -u), 0)
+  ifneq ($(OCSIGENUSER), $(USERNAME))
+    INSTALL_CAN_PUT_PERMISSIONS=no
+  endif
+  ifneq ($(shell groups ${USERNAME}|grep -q ${OCSIGENGROUP}; echo $$?), 0)
+    INSTALL_CAN_PUT_PERMISSIONS=no
+  endif
+endif
+ifeq ($(INSTALL_CAN_PUT_PERMISSIONS), no)
+    INSTALL_USER_GROUP=
+    INSTALL_MOD_660=666
+    INSTALL_MOD_644=666
+    INSTALL_MOD_755=777
+    INSTALL_MOD_770=777
+    INSTALL_MOD_750=777
+endif
+
 install.files:
+	@echo INSTALL_CAN_PUT_PERMISSIONS: ${INSTALL_CAN_PUT_PERMISSIONS}
 	 ## Command pipe
-	$(INSTALL) -m 755 -d $(dir $(TEMPROOT)$(COMMANDPIPE))
+	$(INSTALL) -m ${INSTALL_MOD_755} -d $(dir $(TEMPROOT)$(COMMANDPIPE))
 	[ -p $(TEMPROOT)$(COMMANDPIPE) ] || \
-	 { mkfifo $(TEMPROOT)$(COMMANDPIPE); \
-	   $(CHMOD) 660 $(TEMPROOT)$(COMMANDPIPE); \
-	   $(CHOWN) -R $(OCSIGENUSER):$(OCSIGENGROUP) $(TEMPROOT)$(COMMANDPIPE); }
+	 { mkfifo -m ${INSTALL_MOD_660} $(TEMPROOT)$(COMMANDPIPE); \
+	   if [ "${INSTALL_CAN_PUT_PERMISSIONS}" = yes ]; \
+	     then $(CHOWN) -R $(OCSIGENUSER):$(OCSIGENGROUP) $(TEMPROOT)$(COMMANDPIPE); \
+	   fi; }
 	 ## Configuration files
-	$(INSTALL) -m 755 -d $(TEMPROOT)$(CONFIGDIR)/conf.d
-	${INSTALL} -m 644 ${PROJECTNAME}.conf.sample $(TEMPROOT)$(CONFIGDIR)/
+	$(INSTALL) -m ${INSTALL_MOD_755} -d $(TEMPROOT)$(CONFIGDIR)/conf.d
+	${INSTALL} -m ${INSTALL_MOD_644} ${PROJECTNAME}.conf.sample $(TEMPROOT)$(CONFIGDIR)/
 	[ -f $(TEMPROOT)$(CONFIGDIR)/$(PROJECTNAME).conf ] || \
-	  { $(INSTALL) -m 644 $(PROJECTNAME).conf.sample \
+	  { $(INSTALL) -m ${INSTALL_MOD_644} $(PROJECTNAME).conf.sample \
                 $(TEMPROOT)$(CONFIGDIR)/$(PROJECTNAME).conf;  }
 	-mv $(TEMPROOT)$(CONFIGDIR)/mime.types $(TEMPROOT)$(CONFIGDIR)/mime.types.old
 	 ## Log directory
-	$(INSTALL) -m 644 src/files/mime.types $(TEMPROOT)$(CONFIGDIR)
-	$(INSTALL) -d -m 755 -o ${OCSIGENUSER} -g ${OCSIGENGROUP} \
-	  $(TEMPROOT)$(LOGDIR)
+	$(INSTALL) -m ${INSTALL_MOD_644} src/files/mime.types $(TEMPROOT)$(CONFIGDIR)
+	$(INSTALL) -d -m ${INSTALL_MOD_755} ${INSTALL_USER_GROUP} $(TEMPROOT)$(LOGDIR)
 	 ## Static files
-	$(INSTALL) -d -m 755 -o ${OCSIGENUSER} -g ${OCSIGENGROUP} \
-	  $(TEMPROOT)$(STATICPAGESDIR)
-	$(INSTALL) -d -m 750 -o ${OCSIGENUSER} -g ${OCSIGENGROUP} \
-	  $(TEMPROOT)$(DATADIR)
-	$(INSTALL) -m 644 -o ${OCSIGENUSER} -g ${OCSIGENGROUP} \
+	$(INSTALL) -d -m ${INSTALL_MOD_755} ${INSTALL_USER_GROUP} $(TEMPROOT)$(STATICPAGESDIR)
+	$(INSTALL) -d -m ${INSTALL_MOD_750} ${INSTALL_USER_GROUP} $(TEMPROOT)$(DATADIR)
+	$(INSTALL) -m ${INSTALL_MOD_644} ${INSTALL_USER_GROUP} \
 	  local/var/www/*.html $(TEMPROOT)$(STATICPAGESDIR)
-	$(INSTALL) -d -m 755 -o ${OCSIGENUSER} -g ${OCSIGENGROUP} \
+	$(INSTALL) -d -m ${INSTALL_MOD_755} ${INSTALL_USER_GROUP} \
 	  $(TEMPROOT)$(STATICPAGESDIR)/ocsigenstuff
-	$(INSTALL) -m 644 -o ${OCSIGENUSER} -g ${OCSIGENGROUP} \
+	$(INSTALL) -m ${INSTALL_MOD_644} ${INSTALL_USER_GROUP} \
 	  local/var/www/ocsigenstuff/*.png local/var/www/ocsigenstuff/*.css \
 	  $(TEMPROOT)$(STATICPAGESDIR)/ocsigenstuff
-	$(INSTALL) -d -m 755 $(TEMPROOT)$(MANDIR)
-	$(INSTALL) -m 644 src/files/${PROJECTNAME}.1 $(TEMPROOT)$(MANDIR)
+	$(INSTALL) -d -m ${INSTALL_MOD_755} $(TEMPROOT)$(MANDIR)
+	$(INSTALL) -m ${INSTALL_MOD_644} src/files/${PROJECTNAME}.1 $(TEMPROOT)$(MANDIR)
 
 uninstall:
 	-make -C doc uninstall
@@ -138,7 +163,7 @@
 	     | sed s%USER%$(OCSIGENUSER)%g \
 	     | sed s%GROUP%$(OCSIGENGROUP)%g \
 	     | sed s%_COMMANDPIPE_%$(COMMANDPIPE)%g \
-	     > $(TEMPROOT)/etc/logrotate.d/$(PROJECTNAME) }
+	     > $(TEMPROOT)/etc/logrotate.d/$(PROJECTNAME)
 
 ###
