=== debian/changelog ===
ocsigenserver (2.2.0-3) unstable; urgency=low

  * Upload to unstable (Closes: #724168)

 -- Stéphane Glondu <glondu@debian.org>  Sat, 07 Dec 2013 09:34:45 +0100

ocsigenserver (2.2.0-2) experimental; urgency=low

  * debian/patches:
    + Fix compilation with ocamlnet 3.6.5 (addition of netstring-pcre)
  * Compile with OCaml >= 4.01
  * Drop ocsipersist-dbm (because of OCaml >= 4)
  * Update Vcs-*

 -- Stéphane Glondu <glondu@debian.org>  Sun, 10 Nov 2013 16:48:10 +0100

ocsigenserver (2.2.0-1) unstable; urgency=low

  * New upstream release
  * Bump Standards-Version to 3.9.4
  * Upload to unstable

 -- Stéphane Glondu <glondu@debian.org>  Thu, 09 May 2013 23:11:55 +0200

ocsigenserver (2.2-2) experimental; urgency=low

  * Bump versions in Build-Depends to use experimental packages

 -- Stéphane Glondu <glondu@debian.org>  Sat, 08 Dec 2012 11:00:21 +0100

ocsigenserver (2.2-1) experimental; urgency=low

  * New upstream release
    - remove patch (merged upstream)

 -- Stéphane Glondu <glondu@debian.org>  Thu, 06 Dec 2012 23:29:42 +0100
