=== debian/control ===
--- 
+++ 
@@ -8,23 +8,22 @@
  Nicolas Dandrimont <nicolas.dandrimont@crans.org>
 Build-Depends:
  debhelper (>= 8),
- ocaml-nox (>= 3.11.1-3~),
+ ocaml-nox (>= 4.01),
  camlp4-extra,
- ocaml-findlib (>= 1.2.5),
- liblwt-ssl-ocaml-dev (>= 2.1.1),
- libocamlnet-ocaml-dev (>= 2.2.9-7~),
+ ocaml-findlib (>= 1.4),
+ liblwt-ssl-ocaml-dev (>= 2.4.2),
+ libocamlnet-ocaml-dev (>= 3.6.5),
  libpcre-ocaml-dev (>= 6.0.1-2~),
  libssl-ocaml-dev (>= 0.4.3-3~),
- libgdbm-dev,
  libsqlite3-ocaml-dev (>= 1.5.6-3~),
  libzip-ocaml-dev (>= 1.04-6~),
  libcryptokit-ocaml-dev (>= 1.3-14~),
- libtyxml-ocaml-dev (>= 2.1),
+ libtyxml-ocaml-dev (>= 2.2.0),
  dh-ocaml (>= 0.9.5~)
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Homepage: http://ocsigen.org/ocsigenserver/
-Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/ocsigenserver.git
-Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/ocsigenserver.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ocaml-maint/packages/ocsigenserver.git
+Vcs-Git: git://anonscm.debian.org/pkg-ocaml-maint/packages/ocsigenserver.git
 
 Package: ocsigenserver
 Section: httpd
