=== debian/watch ===
version=3
opts="uversionmangle=s/-rc/~rc/,dversionmangle=s/\+dfsg\d*$//" \
http://ocsigen.org/download/ocsigenserver-(.*)\.tar\.gz
