=== src/extensions/Makefile ===
--- 
+++ 
@@ -1,9 +1,11 @@
 include ../../Makefile.config
 
 PACKAGE  := lwt.unix     \
+			ipaddr       \
 	    lwt.ssl      \
 	    lwt.react    \
             netstring    \
+            netstring-pcre \
 	    tyxml.parser \
 
 LIBS     := -I ../baselib -I ../http -I ../server ${addprefix -package ,${PACKAGE}}
