=== debian/changelog ===
ocsigenserver (2.4.0-1) unstable; urgency=medium

  * New upstream release
  * Update debian/watch

 -- Stéphane Glondu <glondu@debian.org>  Thu, 26 Jun 2014 11:27:56 +0200

ocsigenserver (2.3.0-1) unstable; urgency=medium

  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Mon, 02 Jun 2014 07:45:09 +0200
