=== debian/control ===
--- 
+++ 
@@ -19,6 +19,7 @@
  libzip-ocaml-dev (>= 1.04-6~),
  libcryptokit-ocaml-dev (>= 1.3-14~),
  libtyxml-ocaml-dev (>= 2.2.0),
+ libipaddr-ocaml-dev,
  dh-ocaml (>= 0.9.5~)
 Standards-Version: 3.9.4
 Homepage: http://ocsigen.org/ocsigenserver/
